#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-HHhPsfWA7qDAUtCQL1xBPf
key:                  hls-refactor-plugin-1.1.0.0-HHhPsfWA7qDAUtCQL1xBPf
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  78c093bb62d174a09fc4e37afa3693f2
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-HHhPsfWA7qDAUtCQL1xBPf
depends:
    aeson-2.1.2.1-9cB9LJUUgPXJU8E7LnOs6Q base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB deepseq-1.4.6.1
    dlist-1.0-HCxoMn9TirQDgPCFxho7O extra-1.7.14-DA6OxIljaar6G900XWMNnS
    ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-9lHAe2aIjnN9ah85YDzQ07
    ghcide-1.9.1.0-5o4gFuqGyA5Fz8oWZNeriQ
    hls-graph-1.9.0.0-JDXQ5bSEETP7Vxr7hh7XHh
    hls-plugin-api-1.6.0.0-6FEAipTpXUEHjy93Ma5XI7
    lens-5.2.3-9P580XXoMWJKBWBOAaGjmv
    lsp-1.6.0.0-FiC2LDQ5Y3jLv2AibDRn0B mtl-2.2.2
    regex-tdfa-1.3.2.2-FljQDtn1jFPA11IjVCWenU
    retrie-1.2.2-CnotfYc5DHE5JHlpIUemek
    syb-0.7.2.4-IT59ozboet0H3NdhoNJGts text-1.2.5.0
    text-rope-0.2-AvsDTmFZz4PG9BGi4lmkBx time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-51DmuLN2CgdLFo3pmQx1qE

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

